Bug 1223210 - unbound variable error for 90-tuskar-db-sync [NEEDINFO]
Summary: unbound variable error for 90-tuskar-db-sync
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: Director
Assignee: James Slagle
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-20 06:20 UTC by Dan Macpherson
Modified: 2015-08-05 13:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:51:32 UTC
Target Upstream Version:
calfonso: needinfo? (dmacpher)
opavlenk: needinfo? (dmacpher)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Dan Macpherson 2015-05-20 06:20:23 UTC
I hit the following exception in 90-tuskar-db-sync:

++ echo Compute Controller Swift-Storage Cinder-Storage Ceph-Storage
+ load_roles 'Compute Controller Swift-Storage Cinder-Storage Ceph-Storage' /usr/share/openstack-tripleo-heat-templates .yaml
+ TUSKAR_LOAD_ROLE_BASE='tuskar-load-role --config-file /etc/tuskar/tuskar.conf '
+ roles=($(echo "$1"))
++ echo 'Compute Controller Swift-Storage Cinder-Storage Ceph-Storage'
ERROR: openstack Command 'instack-install-undercloud' returned non-zero exit status 1
+ dir=/usr/share/openstack-tripleo-heat-templates
+ suffix=.yaml
/usr/libexec/os-refresh-config/configure.d/90-tuskar-db-sync: line 11: 4: unbound variable
[2015-05-18 18:08:17,218] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit status 1]

[2015-05-18 18:08:17,218] (os-refresh-config) [ERROR] Aborting...

.. and then it returns me to the prompt

Line 11 seems to be:

    extra_data="${4}"

== Additional Notes ==

I did not encounter this problem when doing an upstream install on CentOS

Comment 3 chris alfonso 2015-06-15 19:47:07 UTC
Dan, Can you provide versions of packages and let us know if it is still broken. We *think* this has been fixed.

Comment 6 Ola Pavlenko 2015-07-06 15:32:22 UTC
Which OS was used?

Comment 7 Ola Pavlenko 2015-07-13 13:08:33 UTC
didn't happen to me on VM with RHEL 7.1  and latest puddle from July 10.

Comment 9 errata-xmlrpc 2015-08-05 13:51:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.